package jdk.internal.util.xml;

import java.io.OutputStream;
import java.util.InvalidPropertiesFormatException;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;
import sun.util.spi.XmlPropertiesProvider;

public class BasicXmlPropertiesProvider extends XmlPropertiesProvider
{
    public BasicXmlPropertiesProvider() {
    }
    
    public void load(Properties properties, InputStream inputStream) throws IOException, InvalidPropertiesFormatException {
        new PropertiesDefaultHandler().load(properties, inputStream);
    }
    
    public void store(Properties properties, OutputStream outputStream, String s, String s2) throws IOException {
        new PropertiesDefaultHandler().store(properties, outputStream, s, s2);
    }
}
